import java.util.*;

public class ParseState {
	int m_nProduction = 0;
	int m_nState = 0;
	private HashMap m_properties = new HashMap();
	
	public ParseState( int production ) {
		m_nProduction = production;
	}
	
	public int production() {
		return m_nProduction;
	}
	
	public int state() {
		return m_nState;
	}
	
	public void incrementState() {
		m_nState++;
	}
	
	public void setProperty( String name, Object obj ) {
		m_properties.put( name, obj );
	}
	
	public Object getProperty( String name ) {
		return m_properties.get( name );
	}
}