import java.io.*;

public class Text extends Statement {
	private String m_text = "";
	
	public Text( String text ) {
		m_text = text;
	}
	
	public void setString( String text ) {
		m_text = text;
	}
	
	public void writeString( PrintStream out ) {
		out.print(m_text);
	}
	
	public String getString() {
		return m_text;
	}

	public boolean modifyRecord( PropertyRecord record ) {
		record.setText(this);
		return true;
	}
	
	public void removeText() {
		Statement stmt = this;
		while( stmt.getParent() instanceof Tag ) {
			stmt = stmt.getParent();
		}
		
		stmt.getParent().removeChild(stmt);
	}
	
	public void setChildContexts( PropertyRecord context ) {}	
	public void pushChildren( java.util.Stack stack ) {}
	protected void addChild( Statement child ) {}
	protected void removeChild( Statement child ) {}
	
}